declare module "windows.devices.wifidirect" {
  export enum WiFiDirectConnectionStatus {
    disconnected,
    connected,
  }

  export class WiFiDirectDevice {
    connectionStatus: WiFiDirectConnectionStatus;
    deviceId: String;
    constructor();

    static fromIdAsync(deviceId: String, callback: (error: Error, result: WiFiDirectDevice) => void): void ;


    static getDeviceSelector(): String;


    getConnectionEndpointPairs(): Object;

    close(): void;
    addListener(type: "ConnectionStatusChanged", listener: (ev: Event) => void): void ;
    removeListener(type: "ConnectionStatusChanged", listener: (ev: Event) => void): void ;
    on(type: "ConnectionStatusChanged", listener: (ev: Event) => void): void ;
    off(type: "ConnectionStatusChanged", listener: (ev: Event) => void): void ;
    
    addListener(type: string, listener: (ev: Event) => void): void ;
    removeListener(type: string, listener: (ev: Event) => void): void ;
    on(type: string, listener: (ev: Event) => void): void ;
    off(type: string, listener: (ev: Event) => void): void ;
    

  }

}



